net.sf.okapi.common.resource

## Class StartSubfilter

- java.lang.Object
- - net.sf.okapi.common.resource.BaseNameable
  - - net.sf.okapi.common.resource.BaseReferenceable
    - - net.sf.okapi.common.resource.StartGroup
      - - net.sf.okapi.common.resource.StartSubfilter

- All Implemented Interfaces:
    IResource, INameable, IReferenceable, IWithAnnotations, IWithBilingualProperties, IWithProperties

      public class StartSubfilter
      extends StartGroup

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.resource.BaseReferenceable

      `parentId, refCount`

    - ### Fields inherited from class net.sf.okapi.common.resource.BaseNameable

      `annotations, id, isTranslatable, mimeType, name, preserveWS, properties, skeleton, sourceProperties, type`

    - ### Fields inherited from interface net.sf.okapi.common.IResource

      `COPY_ALL, COPY_CONTENT, COPY_PROPERTIES, COPY_SEGMENTATION, COPY_SEGMENTED_CONTENT, CREATE_EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartSubfilter()`
    `StartSubfilter(java.lang.String id, StartDocument startDoc, IEncoder parentEncoder)` Creates a new `StartSubfilter` object with the identifier of the group's parent and the group's identifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SubFilterSkeletonWriter` | `createSkeletonWriter(StartSubfilter resource, LocaleId outputLocale, java.lang.String outputEncoding, ILayerProvider layer)`
    `java.lang.String` | `getEncoding()`
    `IParameters` | `getFilterParameters()`
    `IFilterWriter` | `getFilterWriter()`
    `java.lang.String` | `getLineBreak()`
    `LocaleId` | `getLocale()`
    `IEncoder` | `getParentEncoder()`
    `SubFilterSkeletonWriter` | `getSkeletonWriter()`
    `StartDocument` | `getStartDoc()`
    `boolean` | `hasUTF8BOM()`
    `boolean` | `isMultilingual()`
    `protected void` | `setParentEncoder(IEncoder parentEncoder)`
    `protected void` | `setSkelWriter(SubFilterSkeletonWriter skelWriter)`
    `protected void` | `setStartDoc(StartDocument startDoc)`

    - ### Methods inherited from class net.sf.okapi.common.resource.BaseReferenceable

      `getParentId, getReferenceCount, isReferent, setIsReferent, setParentId, setReferenceCount`

    - ### Methods inherited from class net.sf.okapi.common.resource.BaseNameable

      `createTargetProperty, getAnnotation, getAnnotations, getId, getMimeType, getName, getProperties, getProperty, getPropertyNames, getSkeleton, getSourceProperties, getSourceProperty, getSourcePropertyNames, getTargetLocales, getTargetProperty, getTargetPropertyNames, getType, hasProperty, hasSourceProperty, hasTargetProperty, isTranslatable, preserveWhitespaces, removeProperty, removeSourceProperty, removeTargetProperty, setAnnotation, setId, setIsTranslatable, setMimeType, setName, setPreserveWhitespaces, setProperties, setProperty, setSkeleton, setSourceProperties, setSourceProperty, setTargetProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StartSubfilter

          public StartSubfilter()

    - #### StartSubfilter

          public StartSubfilter(java.lang.String id,
                                StartDocument startDoc,
                                IEncoder parentEncoder)

      Creates a new `StartSubfilter` object with the identifier of the group's parent and the group's identifier.
      Parameters:
        `id` - the identifier of this sub filter.
        `startDoc` - The StartDocument resource of the subfilter.
        `parentEncoder` - the parent encoder.

  - ### Method Detail

    - #### getLocale

          public LocaleId getLocale()

    - #### getEncoding

          public java.lang.String getEncoding()

    - #### isMultilingual

          public boolean isMultilingual()

    - #### getFilterParameters

          public IParameters getFilterParameters()

    - #### getFilterWriter

          public IFilterWriter getFilterWriter()

    - #### hasUTF8BOM

          public boolean hasUTF8BOM()

    - #### getLineBreak

          public java.lang.String getLineBreak()

    - #### getStartDoc

          public StartDocument getStartDoc()

    - #### getSkeletonWriter

          public SubFilterSkeletonWriter getSkeletonWriter()

    - #### createSkeletonWriter

          public SubFilterSkeletonWriter createSkeletonWriter(StartSubfilter resource,
                                                              LocaleId outputLocale,
                                                              java.lang.String outputEncoding,
                                                              ILayerProvider layer)

    - #### getParentEncoder

          public IEncoder getParentEncoder()

    - #### setSkelWriter

          protected void setSkelWriter(SubFilterSkeletonWriter skelWriter)

    - #### setStartDoc

          protected void setStartDoc(StartDocument startDoc)

    - #### setParentEncoder

          protected void setParentEncoder(IEncoder parentEncoder)